PETSc version 3.17.4
Fix/Edit manual page

# TaoPythonSetType

Initialize a Tao object implemented in Python.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoPythonSetType(Tao tao, const char pyname[])

Collective on tao

### Input Parameters

| tao | - the optimation solver (Tao) context.
| pyname | - full dotted Python name [package].module[.{class|function}]

### Options Database Key

| -tao_python_type <pyname> | - python class

### See Also

TaoCreate(), TaoSetType(), TAOPYTHON, PetscPythonInitialize()

### Level

intermediate

### Location

src/tao/python/pythontao.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages